<?php 
//
/*============FEATURE PRODUCT NEWSLETTER SECTION PANEL============*/
$wp_customize->add_section(
    'featpronews_section',
    array(
        'title'         => __( 'Featured Product Newsletter Section', 'supermarket-ecommerce' ),
        'panel'   => 'lz_fitness_premium_home_panel',
    )
);


// ENABLE/DISABLE featured product SECTION
$wp_customize->add_setting(
    'Faturedproduct_newsletter_main_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'Faturedproduct_newsletter_main_section_disable',
        array(
            'settings'      => 'Faturedproduct_newsletter_main_section_disable',
            'section'       => 'featpronews_section',
            'label'         => __( 'Disable Section', 'supermarket-ecommerce' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'supermarket-ecommerce' ),
                'off' => __( 'No', 'supermarket-ecommerce' )
            )   
        )
    )
);



backgroundManager($wp_customize, 'featpronews', 'featpronews_section', $color='#f7f5f6', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'lz_fitness_featureproduct_label', 'featpronews_section', ' Featured Product Section :');


lzCustomLable($wp_customize, 'faturedproductsection_padding', 'featpronews_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'faturedproduct_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faturedproduct_toppadding',
    array(
        'settings'      => 'faturedproduct_toppadding',
        'section'       => 'featpronews_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'faturedproduct_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faturedproduct_bottompadding',
    array(
        'settings'      => 'faturedproduct_bottompadding',
        'section'       => 'featpronews_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'faturedproduct_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faturedproduct_leftpadding',
    array(
        'settings'      => 'faturedproduct_leftpadding',
        'section'       => 'featpronews_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'faturedproduct_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faturedproduct_rightpadding',
    array(
        'settings'      => 'faturedproduct_rightpadding',
        'section'       => 'featpronews_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);

// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
    'lz_fitness_premium_featured_product_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_premium_featured_product_section_disable',
        array(
            'settings'      => 'lz_fitness_premium_featured_product_section_disable',
            'section'       => 'featpronews_section',
            'label'         => __( 'Disable Section', 'supermarket-ecommerce' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'supermarket-ecommerce' ),
                'off' => __( 'No', 'supermarket-ecommerce' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'featuredproduct', 'featpronews_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting(
    'featuredproduct_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'featuredproduct_title_sub_title_heading',
        array(
            'settings'      => 'featuredproduct_title_sub_title_heading',
            'section'       => 'featpronews_section',
            'label'         => __( 'Section Title', 'supermarket-ecommerce' ),
        )
    )
);   
$wp_customize->add_setting(
    'lz_fitness_featured_product_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Feature Products', 'supermarket-ecommerce' )
    )
);
$wp_customize->add_control(
    'lz_fitness_featured_product_title',
    array(
        'settings'      => 'lz_fitness_featured_product_title',
        'section'       => 'featpronews_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'supermarket-ecommerce' )
    )
);

// Heading color
addColorPalatOption($wp_customize, 'featuredprod_Heading_color', 'featpronews_section', 'Heading color ', '#343748');


// Product title color
addColorPalatOption($wp_customize, 'featuredprod_title_color', 'featpronews_section', 'Product title color ', '#353535');


// Product Reguler price color
addColorPalatOption($wp_customize, 'featuredprod_proregulerprice_color', 'featpronews_section', 'Product reguler price color ', '#353535');


// Product sale price color
addColorPalatOption($wp_customize, 'featuredprod_prosaleingprice_color', 'featpronews_section', 'Product sale price color ', '#605da6');


// Product box bg  color
addColorPalatOption($wp_customize, 'featuredprod_proboxbg_color', 'featpronews_section', 'Product box background color ', '#f7f5f6');


lzCustomLable($wp_customize, 'lz_fitness_newsletter_label', 'featpronews_section', ' Newsletter Section :');


// ENABLE or DESABLE THE SECTION FROM DISPLAY
lzAddCustomRadio($wp_customize, $id = 'lz_fitness_newslatter_section_disable','featpronews_section', $label = __('Disable Section', 'supermarket-ecommerce'));


backgroundManager($wp_customize, 'newsletter', 'featpronews_section', $color='#fff', get_template_directory_uri().'/images/newsbg.png', 'color');

$wp_customize->add_setting('lz_fitness_newslatter_title_subtitle_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading($wp_customize,'lz_fitness_newslatter_title_subtitle_heading',
        array(
            'settings'=> 'lz_fitness_newslatter_title_subtitle_heading',
            'section'=> 'featpronews_section',
            'label'=> __( 'Section Title & Sub Title', 'Luzuk Premium')
        )
    )
);
$wp_customize->add_setting('lz_fitness_newslatter_title',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'SIGN UP FOR <span> NEWSLETTER</span>', 'Luzuk Premium' )));
$wp_customize->add_control('lz_fitness_newslatter_title',
    array(
        'settings'=> 'lz_fitness_newslatter_title',
        'section'=> 'featpronews_section',
        'type'=> 'text','label'=> __( 'Title', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting('lz_fitness_newslatter_sub_title',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Enter your email in the box bellow to receive letest news', 'Luzuk Premium' )));

$wp_customize->add_control(
    'lz_fitness_newslatter_sub_title',
    array(
        'settings'      => 'lz_fitness_newslatter_sub_title',
        'section'       =>'featpronews_section',
        'type'          => 'textarea',
        'label'         => __( 'Sub Title', 'Luzuk Premium' )
    )
);

// Heading color
addColorPalatOption($wp_customize, 'lz_newslatter_HeadingColor', 'featpronews_section', 'Heading color', '#fff');

// Text color 
addColorPalatOption($wp_customize, 'lz_newslatter_TextColor', 'featpronews_section', 'Text color', '#fff');

$wp_customize->add_setting('lz_fitness_newslatter_form_lbl',array('sanitize_callback' => 'lz_fitness_sanitize_text',));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_newslatter_form_lbl',
        array(
            'settings'      => 'lz_fitness_newslatter_form_lbl',
            'section'       => 'featpronews_section',
            'label'         => __( 'Add Newsletter shortcode', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting('lz_fitness_newslatter_form_shortcode',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Add your form shortcode here', 'Luzuk Premium' )));
$wp_customize->add_control(
    'lz_fitness_newslatter_form_shortcode',
    array(
        'settings'      => 'lz_fitness_newslatter_form_shortcode',
        'section'       => 'featpronews_section',
        'type'          => 'text',
        'label'         => __( 'Shortcode', 'Luzuk Premium' )
    )
);


// Form Text color
addColorPalatOption($wp_customize, 'lz_newslatter_formTextColor', 'featpronews_section', 'Form text color', '#6f6d6d');

// Form background color
addColorPalatOption($wp_customize, 'lz_newslatter_formTextbgColor', 'featpronews_section', 'Form background color', '#fff');

// Form border color
addColorPalatOption($wp_customize, 'lz_newslatter_formTextborderColor', 'featpronews_section', 'Form border color', '#fff');

// Button text color
addColorPalatOption($wp_customize, 'lz_newslatter_formbtntextColor', 'featpronews_section', 'Button text color', '#fff');

// Button background color
addColorPalatOption($wp_customize, 'lz_newslatter_formbtnbgColor', 'featpronews_section', ' Button background color', '#e64c56');

// Form label and simple text color
addColorPalatOption($wp_customize, 'lz_newslatter_formlabeltextColor', 'featpronews_section', 'Form label and simple text color', '#fff');


// EDN NEWSLATTER SECTION 